@font-face {
    font-family: 'Roboto';
    src: url('./assets/fonts/Roboto-VariableFont_wdth\,wght.ttf');
}

:root {
  --type-normal: #A8A77A;
  --type-fire: #EE8130;
  --type-water: #6390F0;
  --type-electric: #F7D02C;
  --type-grass: #7AC74C;
  --type-ice: #96D9D6;
  --type-fighting: #C22E28;
  --type-poison: #A33EA1;
  --type-ground: #E2BF65;
  --type-flying: #A98FF3;
  --type-psychic: #F95587;
  --type-bug: #A6B91A;
  --type-rock: #B6A136;
  --type-ghost: #735797;
  --type-dragon: #6F35FC;
  --type-dark: #705746;
  --type-steel: #B7B7CE;
  --type-fairy: #D685AD;

  --stat-hp: #DF2140;
  --stat-atk: #FF9248;
  --stat-def: #FEDC5D;
  --stat-spa: #85DDFF;
  --stat-spd: #A8F08A;
  --stat-speed: #FB94A8;
  --stat-tot: #7A96D9;
  --stat-tot-bg: #8AACFF;

  --text-gray: #7c8080;
  --text-blue: #061637;
  --text-brown: #2a2823;
  --header-color: rgb(228, 31, 37);
  --selected-pokemon-info-bg: #bbbbb82e;
}

* {
    box-sizing: border-box;
}

html, body {
    height: 100%;
}

body {
    font-family: 'Roboto';
    background-color: #eff1f7;
    display: flex;
    flex-direction: column;
    gap: 20px;
    margin: 0;
    padding: 12px;
}

h1 {
    color: var(--text-gray);
    margin: 0;
}

h2 {
    color: var(--text-blue);
    font-size: 32px;
}

h3 {
    color: var(--text-blue);
    font-size: 20px;
    text-align: center;
}

h4 {
    color: var(--text-blue);
}

.m-tb {
    margin: 0 0;
}

.text-gray {
    color: var(--text-gray);
}

.text-brown {
    color: var(--text-brown);
}

.background-img {
    position: absolute;
    top: -160px;
    left: -210px;
    z-index: -10;
    filter: invert(100%) opacity(5%);
    width: 600px;
}

.card {
    border-radius: 12px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    background-color: white;
}

.poke_card {
    padding: 0 8px;
    padding-bottom: 15px;
    padding-top: 50px;
    color: var(--text-gray);
    width: 250px;
    display: flex;
    justify-content: flex-end;
    flex-direction: column;
    align-items: center;
    position: relative;
    transition: all 0.2s ease;
}

.poke_card:hover {
    transform: scale(1.05);
    cursor: pointer;
}

.poke_card > img {
    position: absolute;
    top: 0;
    left: 50%;
    transform: translate(-50%, -50%);
    max-height: 110px;
}

.poke_card p, .poke_card h3, .poke_types p {
    margin: 5px 0;
}

.poke_types {
    display: flex;
    gap: 8px
}

.container {
    max-width: 1570px;
    margin: 0 auto;
    width: 100%;
}

.d_none {
    display: none;
}

.flex-column-center {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 4px;
    width: 100%;
}

.flex-row-center {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 8px;
    width: 100%;
}

.flex-row-center-gab-3 {
    gap: 3px;
}

.flex-wrap {
    flex-wrap: wrap;
}

.flex-1 {
    flex: 1;
}

.flex-space-between{
    justify-content: space-between;
}

.type {
    color: white;
    padding: 8px 12px;
    border-radius: 8px;
    font-weight: bold;
}

.ability {
    background-color: var(--selected-pokemon-info-bg);
    padding: 8px 12px;
    border-radius: 20px;
    color: var(--text-blue);
    font-weight: 500;
    display: flex;
    justify-content: space-between;
    gap: 8px;
    margin: 0;
    flex: 1 1 auto;
}

.stat {
    background-color: var(--selected-pokemon-info-bg);
    border-radius: 30px;
    padding: 8px 3px;
    color: var(--text-blue);
    cursor: help;
}

.stat-name {
    border-radius: 50%;
    color: white;
    width: 28px;
    aspect-ratio: 1/1;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 12px;
    font-weight: bold;
}

.stat-value {
    font-weight: 500;
    font-size: 14px;
    font-weight: 600;
}

.weakness {
    width: 25px;
    cursor: help;
}

.weakness-2x {
    width: 25px;
    height: 25px;
    background-color: gray;
    color: white;
    border-radius: 50%;
    padding: 3px 3px;
    margin: 0;
    font-size: 14px;
    cursor: help
}

.weakness-4x {
    width: 25px;
    height: 25px;
    background-color: rgb(201, 75, 75);
    color: white;
    border-radius: 50%;
    padding: 3px 3px;
    margin: 0;
    font-size: 14px;
    cursor: help
}

.type-icon {
    width: 12px;
}

.ability-icon {
    width: 20px;
    cursor: help;
}

.evolution img {
    width: 60px;
    cursor: pointer;
    transition: all 0.2s ease;
}

.evolution img:hover {
    transform: scale(1.10);
}

.evolution-info {
    background-color: var(--selected-pokemon-info-bg);
    color: var(--text-gray);
    padding: 6px 8px;
    border-radius: 32px;
}

.info-value {
    background-color: var(--selected-pokemon-info-bg);
    padding: 8px 12px;
    border-radius: 20px;
    color: var(--text-blue);
    font-weight: 500;
    margin: 0;
    width: 100%;
}

.ability-hidden {
    border: 2px solid lightcoral;
}

.ability-not-hidden {
    border: 2px solid lightblue;
}

.grass {
    background-color: var(--type-grass);
}

.normal {
    background-color: var(--type-normal);
}

.fire {
    background-color: var(--type-fire);
}

.water {
    background-color: var(--type-water);
}
 
.electric {
    background-color: var(--type-electric);
}
  
.ice {
    background-color: var(--type-ice);
}
  
.fighting {
    background-color: var(--type-fighting);
}

.poison {
    background-color: var(--type-poison);
}

.ground {
    background-color: var(--type-ground);
}

.flying {
    background-color: var(--type-flying);
}

.psychic {
    background-color: var(--type-psychic);
}

.bug {
    background-color: var(--type-bug);
}

.rock {
    background-color: var(--type-rock);
}

.ghost {
    background-color: var(--type-ghost);
}

.dragon {
    background-color: var(--type-dragon);
}

.dark {
    background-color: var(--type-dark);
}

.steel {
    background-color: var(--type-steel);
}

.fairy {
    background-color: var(--type-fairy);
}

.stat-HP {
    background-color: var(--stat-hp);
}

.stat-ATK {
    background-color: var(--stat-atk);
}

.stat-DEF {
    background-color: var(--stat-def);
}

.stat-SpA {
    background-color: var(--stat-spa);
}

.stat-SpD {
    background-color: var(--stat-spd);
}

.stat-SPD {
    background-color: var(--stat-speed);
}

.stat-TOT {
    background-color: var(--stat-tot);
}

.stat-TOT-bg {
    background-color: var(--stat-tot-bg);
}

/* Header */
.header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 12px 24px;
}

.header-input {
    padding: 12px 40px 12px 12px;
    border-radius: 8px;
    border: 2px solid lightgray;
    outline: none;
}

.header-input:focus {
    border: 2px solid var(--header-color);
}

.header-left {
    display: flex;
    align-items: center;
    gap: 12px;   
}

.header-left img{
    width: 150px;
}

.header-right {
    position: relative;
}

.header-right p {
    font-size: 12px;
    color: var(--header-color);
    position: absolute;
    bottom: -28px;
    left: 10px;
}

.header-right img {
    background-color: var(--header-color);
    padding: 8px;
    width: 30px;
    border-radius: 8px;
    box-shadow: 0 4px 8px rgba(228, 31, 37, 0.7);
    position: absolute;
    right: 8px;
    top: 5px;
    transition: all 0.2s ease;
}

/* Main */
main {
    display: flex;
    gap: 12px;
    flex: 1;
    overflow: hidden;
    padding: 0 12px;
}

#main-pokecards {
    display: flex;
    flex-wrap: wrap;
    column-gap: 20px;
    align-content: flex-start;
    row-gap: 60px;
    overflow-y: auto;
    flex: 1;
    height: 100%;
    padding-left: 8px;
    padding-right: 8px;
    padding-top: 60px;
    padding-bottom: 20px;
    position: relative;
}

.main-selected_pokecard {
    width: 420px;
    margin-bottom: 10px;
    padding-left: 24px;
    padding-right: 24px;
    padding-bottom: 24px;
    margin-top: 100px;
    position: relative;
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    align-items: center;
    gap: 16px;
    padding-top: 100px;
    text-align: center;
    min-height: fit-content;
}

.main-selected_pokecard_img {
    max-height: 200px;
    position: absolute;
    top: -100px;
    left: 50%;
    transform: translateX(-50%);
}

.main-selected_pokecard_close {
    display: none;
}

.main-loading {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    flex-direction: column;
    opacity: 50%;
}

.main-loading p {
    font-weight: bold;
}

.selected_pokemon-loading {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
    flex-direction: column;
    opacity: 50%;
}

.selected_pokemon-loading {
    font-weight: bold;
}

.main-more_pokemon_btn {
    padding: 8px 16px;
    color: var(--text-blue);
    background-color: transparent;
    border-radius: 8px;
    border: 2px solid var(--text-blue);
    font-weight: bold;
    transition: all 0.2s ease;   
}

.main-more_pokemon_container {
    flex-basis: 100%;
    display: flex;
    justify-content: center;
}

.main-more_pokemon_btn:hover {
    cursor: pointer;
    transform: scale(1.05);
}

.main-more_pokemon_btn:active {
    transform: scale(0.95);
}

.main-select-hint {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 70%;
}

.main-select-hint img {
    width: 150px;
    filter: opacity(30%) ;
}

.main-select-hint p{
    filter: opacity(30%) ;
}

.main-selected_pokemon {
    overflow-y: scroll;
    overflow-x: hidden;
    display: flex;
    padding-right: 12px;
}

.main-selected_pokemon-arrow-icons {
    width: 12px;
}

.main-selected_pokemon-divider {
    height: 24px;
    width: 2px;
    background-color: gray;
}

.main-selected_pokemon-change_pokemon {
    padding: 18px 16px;
    background-color: rgba(211, 211, 211, 0.3);
    border-radius: 24px;
    color: var(--text-blue);
    font-size: 14px;
}

.main-selected_pokemon-change_pokemon p{
    margin: 0;
}

.main-selected_pokemon-img {
    width: 30px;
}

.main-selected_pokemon-previous {
    justify-content: start;
   
}

.main-selected_pokemon-previous:hover {
    text-decoration: underline;
    cursor: pointer;
}

.main-selected_pokemon-next {
    justify-content: end;
    
}

.main-selected_pokemon-next:hover {
    text-decoration: underline;
    cursor: pointer;
}

/* Footer */
.footer {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
    padding: 24px 24px;
    gap: 12px;
    color: var(--text-gray);
    margin: 0;
}

.footer img {
    width: 30px;
    height: 30px;
}

.footer-left, .footer-right {
    display: flex;
    align-items: center;
    gap: 8px;
}

.footer-right a {
    color: var(--text-gray);
    text-decoration: none;
}

.footer-right a:hover {
    text-decoration: underline;
}

/* Imprint */
.imprint {
    overflow: auto;
    width: 100%;
}

.imprint p, .imprint a {
    color: #061637;
}

.imprint h3 {
    text-align: start;
}

.imprint-github_link {
    display: flex;
    align-items: center;
    gap: 8px;
}

.imprint-github_link img {
    width: 36px;
}

.imprint-back_btn {
    background-color: rgb(6, 22, 55, 0.8);
    padding: 12px;
    color: white !important;
    text-decoration: none;
    border-radius: 12px;
    cursor: pointer;
    transition: all 125ms ease;
    display: block;
    width: fit-content;
    margin-top: 32px;
}

.imprint-back_btn:hover {
    background-color: rgba(6, 22, 55, 1);
}


/* Animations */
.rotate_logo {
    width: 100px;
    height: 100px;
    animation: rotateLogo 3s linear infinite;
}

/* Keyframes */

@keyframes rotateLogo {
    from {
        transform: rotate(0deg);
    }
    to {
        transform: rotate(360deg);
    }
}

/* Media */

@media (max-width: 780px) {

    .main-selected_pokemon {
        position: absolute;
        top: 0;
        left: 50%;
        transform: translateX(-50%);
        padding: 0px 12px;
        padding-top: 0;
        width: 100%;
        height: 100vh;
    }

    .d_none-selected_pokemon{
        display: none;
    }

    #main-pokecards {
        justify-content: center;
    }

    .main-selected_pokecard_img {
        position: static;
        align-self: center;
        transform: translateX(0);
    }

    .main-selected_pokecard {
        padding-top: 0;
        margin-top: 12px;
        width: 100%;
        padding-top: 24px;
    }

    .flex-wrap-media {
        flex-wrap: wrap;
    }

    .background-img {
        width: 300px;
    }

    .main-selected_pokecard_close {
        display: block;
        position: absolute;
        top: 12px;
        right: 12px;
        width: 40px;
        position: absolute;
        border-radius: 50%;
        aspect-ratio: 1/1;
        cursor: pointer;
        border: 4px solid transparent;
        transition: all 0.2s ease;
    }

    .main-selected_pokecard_close:hover {
        border: 4px solid var(--text-blue);
    }

    .flex-row-center-gab-3 {
        gap: 8px;
    }

}

@media (max-width: 460px) {
    .header {
        flex-direction: column;
        gap: 8px
    }

    .main-selected_pokemon-previous {
        flex-direction: column-reverse;
    }

    .main-selected_pokemon-next {
        flex-direction: column;
    }

    .main-selected_pokemon-divider {
        display: none;
    }
}